NSS.SD {JADE} | R Documentation

## NSS.SD Method for Nonstationary Blind Source Separation

### Description

The NSS.SD method for nonstationary blind source separation. The function estimates the unmixing matrix in a nonstationary source separation model by simultaneously diagonalizing two covariance matrices computed for different time intervals.

### Usage

    NSS.SD(X, ...)

    ## Default S3 method:
    NSS.SD(X, n.cut=NULL, ...)
    ## S3 method for class 'ts'
    NSS.SD(X, ...)

### Arguments

`X` | a numeric matrix or a multivariate time series object of class `ts`. Missing values are not allowed.
`n.cut` | either an integer between 1 and nrow(X) or an vector of length 3 of the form c(1,n.cut,nrow(X)) to specify where to split the time series. If NULL, then c(1,floor(nrow(X)/2),nrow(X)) is used.
`...` | further arguments to be passed to or from methods.

### Details

The model assumes that the mean of the p-variate time series is constant but the variances change over time.

### Value

A list with class 'bss' containing the following components:

`W` | estimated unmixing matrix.
`EV` | eigenvalues from the eigenvalue-eigenvector decomposition.
`n.cut` | specifying the intervals where data is split
`S` | estimated sources as time series objected standardized to have mean 0 and that the sources in the first interval are 1.

### Author(s)

Klaus Nordhausen

### References

Choi S. and Cichocki A. (2000), Blind separation of nonstationary sources in noisy mixtures, Electronics Letters, 36, 848–849.

Choi S. and Cichocki A. (2000), Blind separation of nonstationary and temporally correlated sources from noisy mixtures, Proceedings of the 2000 IEEE Signal Processing Society Workshop Neural Networks for Signal Processing X, 1, 405–414.

Nordhausen K. (2014), On robustifying some second order blind source separation methods for nonstationary time series, Statistical Papers, 55, 141–156.

Miettinen, J., Nordhausen, K. and Taskinen, S. (2017), Blind Source Separation Based on Joint Diagonalization in R: The Packages JADE and BSSasymp, Journal of Statistical Software, 76, 1–31, <doi:10.18637/jss.v076.i02>.

### See Also

`ts, NSS.JD, NSS.TD.JD`

### Examples

    n <- 1000
    s1 <- rnorm(n)
    s2 <- 2*sin(pi/200*1:n)* rnorm(n)
    s3 <- c(rnorm(n/2), rnorm(100,0,2), rnorm(n/2-100,0,1.5))
    S <- cbind(s1,s2,s3)
    plot.ts(S)
    A<-matrix(rnorm(9),3,3)
    X<- S%*%t(A)

    NSS1 <- NSS.SD(X)
    NSS1
    MD(coef(NSS1),A)
    plot(NSS1)
    cor(NSS1$S,S)

    NSS1b <- NSS.SD(X, n.cut=400)
    MD(coef(NSS1b),A)

    NSS1c <- NSS.SD(X, n.cut=c(1,600,1000))
    MD(coef(NSS1c),A)

[Package JADE version 2.0-2 Index]